Class Index | File Index

## Classes

- _global_
- comb
- comb.array
- comb.characters
- comb.collections
- comb.collections.AnderssonTree
- comb.collections.AVLTree
- comb.collections.BinaryTree
- comb.collections.Collection
- comb.collections.HashTable
- comb.collections.Heap
- comb.collections.Iterable
- comb.collections.MaxHeap
- comb.collections.MinHeap
- comb.collections.Pool
- comb.collections.PriorityQueue
- comb.collections.Queue
- comb.collections.RedBlackTree
- comb.collections.Stack
- comb.collections.Tree
- comb.date
- comb.logging
- comb.logging.appenders
- comb.logging.appenders.Appender
- comb.logging.appenders.ConsoleAppender
- comb.logging.appenders.FileAppender
- comb.logging.appenders.JSONAppender
- comb.logging.appenders.RollingFileAppender
- comb.logging.BasicConfigurator
- comb.logging.Level
- comb.logging.Logger
- comb.logging.PropertyConfigurator
- comb.number
- comb.plugins
- comb.plugins.Broadcaster
- comb.plugins.Middleware
- comb.Promise
- comb.PromiseList
- comb.regexp
- comb.string

# Class comb.collections.PriorityQueue

Extends comb.collections.MinHeap.
PriorityQueue Implementation where the value with the highest priority moves to the front Priority starts at 0, and the greatest value being the lowest priority;
Defined in: PriorityQueue.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| comb.collections.PriorityQueue()

Fields borrowed from class comb.collections.Heap:
  count, isEmpty, keys, values

Method Summary
Method Attributes | Method Name and Description
--- | ---
| dequeue() Removes the item with the highest priority from the queue
| enqueue(priority, value) Adds the value with the specified priority to the queue

Methods borrowed from class comb.collections.Heap:
  clear, containsKey, containsValue, insert, peek, peekKey, print, remove
Methods borrowed from class comb.collections.Collection:
  concat, indexOf, join, lastIndexOf, slice, toString

Class Detail
comb.collections.PriorityQueue()
Method Detail
dequeue()
Removes the item with the highest priority from the queue

Returns:
  the value of the item

enqueue(priority, value)
Adds the value with the specified priority to the queue

Parameters:
{Number} priority
  the priority of the item 0 = Highest, n = lowest
value

Documentation generated by JsDoc Toolkit 2.4.0 on Tue Oct 25 2011 13:20:06 GMT-0500 (CDT)